org.apache.ignite.internal.visor.cache

## Class VisorCacheStartTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorCacheStartTaskArg,Map<UUID,IgniteException>,Void>
  - - org.apache.ignite.internal.visor.cache.VisorCacheStartTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorCacheStartTaskArg>,Map<UUID,IgniteException>>

    @GridInternal
    public class VisorCacheStartTask
    extends VisorMultiNodeTask<VisorCacheStartTaskArg,Map<UUID,IgniteException>,Void>

Task that start cache or near cache with specified configuration.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheStartTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.cache.VisorCacheStartTask.VisorCacheStartJob` `job(VisorCacheStartTaskArg arg)`
`protected Map<UUID,IgniteException>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheStartTask

    public VisorCacheStartTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCacheStartTask.VisorCacheStartJob job(VisorCacheStartTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorCacheStartTaskArg,Map<UUID,IgniteException>,Void>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected Map<UUID,IgniteException> reduce0(List<ComputeJobResult> results)
                                         throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorCacheStartTaskArg,Map<UUID,IgniteException>,Void>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017